.full-width-header {
    background: url('../images/join-us-hero-bg.jpg') var(--primary-color);
    background-repeat: no-repeat;
}

.full-width-header h1 {
    margin: 0;
    color: #ffffff;
}

.full-width-header .actions .primary-btn {
    background-color: var(--accent-color);
    color: var(--header-color);
    font-weight: 700;
    border: 2px solid var(--accent-color);
    font-size: 1.3rem;
}

.full-width-header .actions .primary-btn:hover {
    background-color: var(--accent-highlight);
}

.full-width-header .actions .secondary-btn  {
    color: #ffffff;
    border: 2px solid var(--secondary-lighter-color);
    font-size: 1.3rem;
}

.full-width-header .actions .secondary-btn:hover {
    background-color: var(--secondary-lighter-color);
    border: 2px solid var(--divider-color);
}

.full-width-header .actions > a {
    display: flex;
    align-items: center;
    gap: 12px;
    justify-content: center;
}

.sermons-hero {
    display: flex;
    justify-content: space-between;
}

.sermons-left-col {
    padding: 40px 20px 40px 0;
    width: 45%;
}

.sermons-hero .sermons-left-col {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sermons-right-col {
    padding: 40px 0;
}

.sermons-hero-vid-embed {
    border-radius: 10px;
    border: 2px solid #ffffff;
    display: flex;
    overflow: hidden;
}

.sub-head {
    color: #ffffff;
    font-size: 20px;
    margin-bottom: 15px;
    display: block;
}

.latest-sermon-title {
    display: block;
    font-size: 2rem;
    color: #ffffff;
    font-weight: 600;
    line-height: 1.2;
}

.latest-sermon-part {
    display: block;
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--accent-color);
}

.latest-sermon-date {
    font-size: 1.2rem;
    color: #ffffff;
    display: block;
    margin-top: 20px;
}

#sermon-library {
    padding: 40px 0;
}

.sermon-cards-grid {
    display: grid;
    grid-template: 1fr / repeat(3, 1fr);
    gap: 30px;
}

.sermon-card {
    border-radius: 10px;
    overflow: hidden;
}

.sermon-card-thumbnail {
    aspect-ratio: 1.8;
    background-size: cover;
    background-position: center;
    margin-bottom: 30px;
    position: relative;
}

.thumbnail-play-btn {
    display: flex;
    aspect-ratio: 1;
    background: var(--accent-color);
    width: 70px;
    border-radius: 100%;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(1px 1px 3px #333333);
    position: absolute;
    bottom: -35px;
    left: 30px;
}

.thumbnail-play-btn:hover {
    background: var(--secondary-lighter-color);
    transform: scale(1.1);
    transition: all 500ms;
}

.thumbnail-play-btn > svg {
    margin-left: 5px;
}

.sermon-card-details {
    padding: 30px;
}

a.sermon-card-title {
    color: #ffffff;
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.1;
    display: block;
}

a.sermon-card-title:hover {
    color: var(--secondary-lighter-color);
}

.sermon-card-series {
    color: var(--accent-color);
    font-size: 1.3rem;
}

.sermon-card-speaker {
    display: flex;
    gap: 20px;
    color: #ffffff;
    align-items: center;
    font-size: 1.2rem;
    margin-top: 40px;
}

.speaker-image {
    aspect-ratio: 1;
    border-radius: 100%;
    overflow: hidden;
    width: 50px;
    display: flex;
}

.speaker-image img {
    width: 100%;
}

.speaker-name {
    line-height: 1.1;
}



@media screen and (max-width: 999px) {
    .sermons-hero {
        flex-direction: column;
        text-align: center;
    }
    .sermons-left-col {
        width: 100%;
        text-align: center;
    }
    .sermons-hero .actions {
        align-items: stretch;
        flex-direction: column;
    }
    .sermons-hero .actions .primary-btn, .sermons-hero .actions .secondary-btn {
        text-align: center;
    }
    .sermons-right-col {
        width: 100%;
        position: relative;
        padding: 20px;
        display: flex;
        justify-content: center;
        padding: 0;
    }
    .sermons-hero-vid-embed {
        margin-bottom: 20px;
    }
    .sermon-cards-grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width: 599px) {
    .sermon-cards-grid {
        grid-template-columns: 1fr;
    }
}
